if (typeof angular !== 'undefined') {
    // Create the directive
    angular.module('mobile-app').component('field', {
        bindings: {
            instance: '<',
        },
        template: require('./field.html'),
        controller: function ($scope, $label, $navigate) {
            $scope.$this = this.instance;
            $scope.$label = $label;
            $scope.$navigate = $navigate;

            $scope.openLink = function () {
                if ($scope.$this.hasFieldLink()) {
                    var fieldLinkValue = $scope.$this.getFieldLink();
                    if (fieldLinkValue) {
                        window.open(fieldLinkValue, '_system');
                    }

                } else {
                    $navigate($scope.$this.getRefLink());
                }
            };

        }
    });
}