'use strict';

import * as Design from "../../../src/view-model/design";

if (typeof angular !== 'undefined') {
    angular.module('mobile-app').component('part', {
        bindings: {
            instance: '<',
        },
        controller: function ($scope) {
            $scope.$this = this.instance;
            $scope.styles = Design.getFlexStyles(this.instance.metadata());
            $scope.page = $scope.$this.getPartPage();

            $scope.$on('$destroy', function () {
                $scope.page || $scope.page.close();
            });
        },
        template: require("./part.html"),
    });
}