import { getClassesForIconName } from "./icon-map";
let expect = chai.expect;

describe("Icon Map", function () {
    it("maps known ionic icons to Dynamics symbols classes", function () {
        expect(getClassesForIconName("trash-b")).to.equal("Trash-symbol symbol");
        expect(getClassesForIconName("plus")).to.equal("New-symbol symbol");
    });
    it("returns symbol font classes for icons from the Dynamics symbols", function () {
        expect(getClassesForIconName("Waffle")).to.equal("Waffle-symbol symbol");
    });
    it("returns ionic classes for icons from the ionic symbols", function () {
        expect(getClassesForIconName("spoon")).to.equal("ion-spoon");
    });
});